using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class _Default : System.Web.UI.Page 
{
    #region Declaration
    SqlConnection sqlConn;
    SqlCommand sqlCMD;
    SqlDataAdapter sqlDA = new SqlDataAdapter();
    DataSet ds;
    DataTable dt = new DataTable();
    DataRow myDr;
    int count = 1;
    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        if (sqlConn.State.ToString() == "Closed")
            sqlConn.Open();

        LoadDT();
    }

    public _Default()
    {
        sqlConn = new SqlConnection(ConfigurationManager.AppSettings["connectionString"]);  
    }

    private void LoadDT()
    {
        try
        {
            ds = new DataSet();
            sqlCMD = new SqlCommand("SELECT PKID,EmpId,SubModule FROM Table_1", sqlConn);
            sqlDA.SelectCommand = sqlCMD;
            sqlDA.Fill(ds);

            if (ds.Tables[0].Rows.Count > 0)
            {
                DataColumn dc1 = new DataColumn();
                dc1.DataType = System.Type.GetType("System.String");
                dc1.ColumnName = "PKID";

                DataColumn dc2 = new DataColumn();
                dc2.DataType = System.Type.GetType("System.String");
                dc2.ColumnName = "SubModule";

                dt.Columns.Add(dc1);
                dt.Columns.Add(dc2);


                foreach (DataRow dr in ds.Tables[0].Rows)
                {
                    myDr = dt.NewRow();
                    myDr[0] = dr[0].ToString();

                    myDr[1] = "<a href=\"javascript:toggleLayer('row" + count + "');\" class=DivPanelTextBold>" + dr["SubModule"].ToString() + "</a>"

                        + "&nbsp;&nbsp;&nbsp;&nbsp;<div id='row" + count + "' class='DivPanel'>"
                        + "<TABLE cellSpacing='2' cellPadding='2' width='100%' border='0'>"
                        + "<tr><td class='La_Ma_Text'>&nbsp;</td><td align=right><a href=\"javascript:toggleLayer('row" + count + "');\" class=La_Ma_Link><img src='Close.gif' border=0 align='absmiddle'></a></td></tr>";

                    myDr[1] = myDr[1] + "<tr><td class='DivPanelText' width='158px'>&nbsp;Cell Value: </td><td class='DivPanelText' width='152px'>" + dr["SubModule"].ToString() + "</td></tr>";

                    myDr[1] = myDr[1] + "<tr><td><b> Something </b></td></tr>";
                    myDr[1] = myDr[1] + "</TABLE>" + "</div><br>";
                    //dsa.dispose();
                    dt.Rows.Add(myDr);
                    count++;
                }
            }
            else
            {
                //ErrorLabel.Visible = true;
                //ErrorLabel.Text = "No discussions for this job";
            }

            this.GridView1.DataSource = dt;
            this.GridView1.DataBind();
            ds.Dispose();
        }
        catch (Exception ex)
        {
            //ErrorLabel.Visible = true;
            //ErrorLabel.Text = ex.ToString();
        }

    }

    protected void GridView1_DataBound(object sender, EventArgs e)
    {
        foreach (TableRow trow in GridView1.Rows)
        {
            foreach (TableCell tcell in trow.Cells)
            {
                tcell.Text = HttpUtility.HtmlDecode(tcell.Text);                
            }
        }
    }
}
